Package: groovy.swing.factory

## [Groovy] Class TableLayoutFactory

- groovy.swing.factory.TableLayoutFactory

-     class TableLayoutFactory
      extends AbstractFactory

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TableLayoutFactory()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
    `` | `void` | `setParent(FactoryBuilderSupport builder, Object parent, Object child)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Constructor Detail

    - #### TableLayoutFactory()

  - ### Method Detail

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

    - #### void setParent(FactoryBuilderSupport builder, Object parent, Object child)